## ros-kinetic-grizzly-description 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grizzly_description)

find_package(catkin)

catkin_package()

install(
  DIRECTORY launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/env_run
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

=== debian/changelog ===
ros-kinetic-grizzly-description (0.4.2-0xenial) xenial; urgency=high

  * [grizzly_description] Installed env_run script.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-description (0.4.1-0xenial) xenial; urgency=high

  * Updated urdf (#21 <https://github.com/g/grizzly/issues/21>)
    * Updated urdf to have both sensor arches, all standard sensors, and some non-standard sensors
    * URDF formatting
  * Contributors: dniewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 21 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-description (0.4.0-0xenial) xenial; urgency=high

  * Minor package.xml and CMakeList.txt clean-up.
  * Fix vehicle dimensions for roscontrol
  * Added urdf files and control config files for base.launch to run. Updated package.xml files and changelogs to match current version.
  * Contributors: Michael Hosmar, Mohamed Elshatshat, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 05 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-description (0.3.2-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-kinetic-grizzly-description (0.3.1-0xenial) xenial; urgency=high

  * Find includes in URDF relative to package locations.
  * Remove unneeded joint_state_publisher dependency.
  * fix imu topic in simulator
  * In navigation pkg, rename config and launch files to localization
  * set imu frame ID as imu_link
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 09 Jan 2015 05:00:00 -0000

ros-kinetic-grizzly-description (0.3.0-0xenial) xenial; urgency=high

  * Fix IMU origin.
  * Update physical and collision properties
  * update position of wheel's joints
  * add hector gps contoller
  * add hector imu controller
  * change joint names. use rear instead of back
  * Aesthetic fixes to grizzly URDF.
  * Remove vestigial vcg file.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr, dash

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-kinetic-grizzly-description (0.2.0-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-description (0.1.4-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-description (0.1.3-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-description (0.1.2-0xenial) xenial; urgency=high

  * Remove commented reference to husky_wheel stl, as this was confusing Gazebo.

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Dec 2013 05:00:00 -0000

ros-kinetic-grizzly-description (0.1.1-0xenial) xenial; urgency=high

  * Remove attempt to install non-existant launch folder.

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-kinetic-grizzly-description (0.1.0-0xenial) xenial; urgency=high

  * Initial cut of a grizzly_description suitable for visualization and simulation.

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 28 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-grizzly-description
Section: misc
Priority: extra
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-grizzly-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-lms1xx, ros-kinetic-pointgrey-camera-description, ros-kinetic-urdf, ros-kinetic-velodyne-description, ros-kinetic-xacro
Description: Clearpath Grizzly URDF description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-grizzly-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
